Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class DelegatingProcessor

    java.lang.Object
      com.vordel.circuit.FilterContainer
          com.vordel.circuit.MessageProcessor
              com.vordel.circuit.DelegatingProcessor

Direct Known Subclasses:
  CircuitChainProcessor

    public abstract class DelegatingProcessor

extends MessageProcessor

Field Summary

Fields inherited from class com.vordel.circuit.MessageProcessor
`logMask, logMaskType`

Constructor Summary
`DelegatingProcessor()`

Method Summary
`protected boolean` | `callCircuit(CircuitInvocation ci, CircuitDelegateProcessor cdpr, Message m)`
`protected boolean` | `callCircuit(CircuitInvocation ci, Message m, CircuitDelegateProcessor cdp)`
`protected CircuitDelegateProcessor` | `getCDProc(FilterConfigureContext ctx, Filter owner, ESPK circuitPK, java.lang.String label)`

Methods inherited from class com.vordel.circuit.MessageProcessor
`filterAttached, filterDetached, getCategory, getLogMask, invoke, logFailure, logFatal, logMessagePayload, logSuccess, report, report, toString`

Methods inherited from class com.vordel.circuit.FilterContainer
`configureFilter, createFilterContainer, getFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingProcessor

    public DelegatingProcessor()

Method Detail

### getCDProc

    protected CircuitDelegateProcessor getCDProc(FilterConfigureContext ctx,
                                                 Filter owner,
                                                 ESPK circuitPK,
                                                 java.lang.String label)
                                          throws EntityStoreException

  Throws:
    `EntityStoreException`

### callCircuit

    protected boolean callCircuit(CircuitInvocation ci,
                                  Message m,
                                  CircuitDelegateProcessor cdp)
                           throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### callCircuit

    protected boolean callCircuit(CircuitInvocation ci,
                                  CircuitDelegateProcessor cdpr,
                                  Message m)
                           throws CircuitAbortException

  Throws:
    `CircuitAbortException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel